Debian Bug report logs - #714574
ITP: libexperimental-perl -- pragma for making experimental features easy

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sun, 30 Jun 2013 22:27:06 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libexperimental-perl/0.005-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#714574; Package wnpp. (Sun, 30 Jun 2013 22:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 30 Jun 2013 22:27:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libexperimental-perl -- pragma for making experimental features easy
Date: Mon, 1 Jul 2013 00:23:36 +0200
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libexperimental-perl
  Version         : 0.005
  Upstream Author : Leon Timmermans <leont@cpan.org>
* URL             : https://metacpan.org/release/experimental/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : pragma for making experimental features easy

The experimental pragma provides an easy and convenient way to enable or
disable experimental features.

Experimental features were introduced in Perl 5.18, together with a warnings
category "exmperimental". When such features are used, the respective
warnings have to be turned off additionally.

Cf. https://metacpan.org/module/RJBS/perl-5.18.0/pod/perldelta.pod#New-mechanism-for-experimental-features



Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 30 Jun 2013 22:33:04 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 07 Jul 2013 10:03:16 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Sun, 07 Jul 2013 10:03:16 GMT) Full text and rfc822 format available.

Message #12 received at 714574-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 714574-close@bugs.debian.org
Subject: Bug#714574: fixed in libexperimental-perl 0.005-1
Date: Sun, 07 Jul 2013 10:00:07 +0000
Source: libexperimental-perl
Source-Version: 0.005-1

We believe that the bug you reported is fixed in the latest version of
libexperimental-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714574@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libexperimental-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 01 Jul 2013 00:29:22 +0200
Source: libexperimental-perl
Binary: libexperimental-perl
Architecture: source all
Version: 0.005-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libexperimental-perl - pragma for making experimental features easy
Closes: 714574
Changes: 
 libexperimental-perl (0.005-1) unstable; urgency=low
 .
   * Initial release (closes: #714574).
Checksums-Sha1: 
 0bc37ee2edfb81b803c0986b9d93c9267d5661df 2106 libexperimental-perl_0.005-1.dsc
 887d6a7472cc4eee1efe9fcd975d7371df509e47 10614 libexperimental-perl_0.005.orig.tar.gz
 df2e1582d0c34e992861056fe17a90cc562db5d6 1784 libexperimental-perl_0.005-1.debian.tar.gz
 1d5c40284457c4c25fbcef2e8ccbacda1b1b4606 5796 libexperimental-perl_0.005-1_all.deb
Checksums-Sha256: 
 399490c6c3b6c7162a69960238b06b4123f00b178aded6822dd69d32987776f1 2106 libexperimental-perl_0.005-1.dsc
 b6c7b53b5e034727d301c59665fd72213db8b568aba8d8714fefe9ffef95b1a9 10614 libexperimental-perl_0.005.orig.tar.gz
 f528860f88711d1c26b40814319176d63188773218c24f4c8f1be568cc4ca6cb 1784 libexperimental-perl_0.005-1.debian.tar.gz
 24e76c77bd8b976c9de38f64dda90ec57040527bc0377806594909c5f5dc6191 5796 libexperimental-perl_0.005-1_all.deb
Files: 
 b98746dd0375a42b184a6cd73bdbd52a 2106 perl optional libexperimental-perl_0.005-1.dsc
 86de0c6d17826586c75e07f616a4ab39 10614 perl optional libexperimental-perl_0.005.orig.tar.gz
 d54edce86c54fcce31424722edfefa6a 1784 perl optional libexperimental-perl_0.005-1.debian.tar.gz
 335a33ed770dedc3b969091f1a065196 5796 perl optional libexperimental-perl_0.005-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR0LF3AAoJELs6aAGGSaoGoyQP/0tlbf9aHlGPJtpwW6n3WySv
F0ml7Q5tzGQNKUgBQhMACd7iEFQ0DKZGHff2SXyKrDAd+zRBjNLyehXYCEvU/0gE
GTJbzHdMkowtMV4jxt+vgle+hJgSxW4nPk0+kcNJU+/tilxgMhcY8O8AzyS6QWbJ
ZqzWqW+VSQGWXcqEMioiIet+nh+MMRsFtU8T18I01ZPXODtZYG2gZIsXGDJMvMj2
ddAQqa3HShZVKwEMrfe2df3/YHzhHiIbC33XY45OXZ/0pWokANqgxZDkBT1C9//O
NLh9kiiwWJRw45CeEdFi1l4uPNdMwGBRF0dB2ebdW/dSELiO52dlGPYZsbx7BBtB
b92seESAtuj2+Rd4cAWoOxCXgz0lwNxFDmcNqyeYFcGmnlTO3x0QB5EHj3sFIRPA
EbrxmEd4FHDa1tUXxv8a0QvBUUqbLxYUfkvEQ+W8hpdOGPpi2lKMHxegSOLsnHys
bQ5TMP6Yr+EXcG5U8YevbRqvoT5Z/TlIfgDhd+6EDAQ4U+ryOlhxYSCNHCjY238S
/zXT4839jFjXlU2MvYPaJVnWpINQuhSCaJqsg4FrOrSp3x+04/TTczmT9JnZdxFC
DjEB6WS/cdqXqaVPmFKhFYMIPdDvrwuFD3Nizrack2I+NhBb17OBD4bPwEDwwkLc
2/NzaJ9/GnrP40H8dsWi
=2GO/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Aug 2013 07:33:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:15:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.